
package de.ivu.elect.presentation.konfiguration.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.konfiguration.exchange.KonfigurationExportDescription;

public class KonfigurationExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private KonfigurationExportDescription konfigurationExportDescription;

  @Override
  protected ExportDescription getExportDescription() {
    return konfigurationExportDescription;
  }

  @Override
  public String getLabelKey() {
    return "konfiguration.export.menu.item.label";
  }
}
